|  | Home · All Classes · Modules

# QDesignerObjectInspectorInterface Class Reference
[QtDesigner module]

The QDesignerObjectInspectorInterface class allows you to change the focus of Qt Designer's object inspector. More...

Inherits QWidget.

### Methods

- __init__ (self, QWidget parent, Qt.WindowFlags flags = 0)
- QDesignerFormEditorInterface core (self)
- setFormWindow (self, QDesignerFormWindowInterface formWindow)

## Detailed Description

The QDesignerObjectInspectorInterface class allows you to change the focus of Qt Designer's object inspector.

You can use the QDesignerObjectInspectorInterface to change the current form window selection. For example, when implementing a custom widget plugin:

             QDesignerObjectInspectorInterface *objectInspector = 0;
             objectInspector = formEditor->objectInspector();

             QDesignerFormWindowManagerInterface *manager = 0;
             manager = formEditor->formWindowManager();

             objectInspector->setFormWindow(manager->formWindow(0));

The QDesignerObjectInspectorInterface class is not intended to be instantiated directly. You can retrieve an interface to Qt Designer's object inspector using the QDesignerFormEditorInterface.objectInspector() function. A pointer to Qt Designer's current QDesignerFormEditorInterface object (`formEditor` in the example above) is provided by the QDesignerCustomWidgetInterface.initialize() function's parameter. When implementing a custom widget plugin, you must subclass the QDesignerCustomWidgetInterface to expose your plugin to Qt Designer.

The interface provides the core() function that you can use to retrieve a pointer to Qt Designer's current QDesignerFormEditorInterface object, and the setFormWindow() function that enables you to change the current form window selection.

## Method Documentation

### QDesignerObjectInspectorInterface.__init__ (self, QWidget parent, Qt.WindowFlags flags = 0)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an object inspector interface with the given parent and the specified window flags.

### QDesignerFormEditorInterface QDesignerObjectInspectorInterface.core (self)

Returns a pointer to Qt Designer's current QDesignerFormEditorInterface object.

### QDesignerObjectInspectorInterface.setFormWindow (self, QDesignerFormWindowInterface formWindow)

This method is also a Qt slot with the C++ signature `void setFormWindow(QDesignerFormWindowInterface*)`.

This method is abstract and should be reimplemented in any sub-class.

Sets the currently selected form window to formWindow.